你的位置:首页 > 操作系统

[操作系统]Jar mismatch! Fix your dependencies的问题(转)


看到网上有说:

在开发Android项目的时候,有时需要引用多个项目作为library。在引用项目的时候,有时会出现“Jar mismatch! Fix your dependencies”错误。

这是因为两个项目的jar包(android-support-v4.jar)不一致。 解决方法是把2个jar都删除,然后各自加上最新的jar包。

这个最新的jar包怎么加呢?

我先是按照别人说的右键项目--AndroidTools--Add Support Library分别加上最新的包,最后还是解决不了,不知道是什么原因,按道理是可行的啊……

然后我把这两个项目其中一个项目的v4jar包放到另外一个项目,还是不行……

最后我把其他项目中的v4jar包,拿出来分别放到这两个项目中去,就解决问题了……其实这种方法和上面两种方法的唯一区别可能就是v4jar包不太一样

Eclipse有些时候是有点奇怪啊……